

#include "structures_donnees.h"
#include "Cpu_Reg.h"
#include "proslic.h"
#include "etd500.h"

chipStruct chip[4]; // structure chip

main()
{
BYTE i,j,i1,k,l;
WORD valeur;
int compteur,tempo;
unsigned int r_irq;
ETD500_GE0=0;
ETD500_GE1=1;
ETD500_GE2=2;
ETD500_GE3=3;
//V_CODEC=0x0F;
InitSpi();		// initialisation bus SPI
init_bt();		// initialisation base de temps
init_rcx();		// initialisation du rcx

// RESET des SLICs
V_CODEC=0x40;
printf("Reset ETD500\n");
sleep(2000);
V_CODEC=0x0F;

InitDaisy();	// active de mode daisy chaine
initializeIndirectRegisters(2);	// intialise le proslic 2
InitChipStruct(2);
init_slic(2);
i=LitDirect(2,13);
i>>=4;
printf("reg(13)=%x\n",i);	
disableOscillateur(2);
i=LitDirect(2,72);
printf("(72)=%x\n",i);
StandardRing(2);		// active la sonnerie sur quipement 2
Ring(2,1);
ETD500_SE=0xFD;
for(compteur=0;compteur<=25;compteur++)	// boucle pendant 25 s
	{
	i1=LitDirect(2,34);
	i=LitDirect(2,64);
	j=LitDirect(2,68);
	r_irq=LitIrq(2);
	printf("irq=%lx ,(34)=%x ,",r_irq,i1);
	printf("(64)=%x, (68)=%x\n",i,j);
	for(i=78;i<=89;i++)
		{
		j=LitDirect(2,i);
		printf("(%d)=%x ,",i,j);
		}
	printf("\n");
	sleep(1000);
	}
ETD500_SE=0xFF;
Ring(2,0); // Stop la sonnerie
}