#ifndef __RS232_H
#define __RS232_H

typedef enum {ATTENTE,TYPE_T,L_TRAME,COMMANDE,PARAMETRE,FIN_TRAME,ERREUR} E_Trame;

union word_bits etat_rs232;
#define F_Message_Recu 	etat_rs232.bit.b0
#define erreur_c 		    etat_rs232.bit.b10
#define erreur_or		    etat_rs232.bit.b11
#define erreur_trame	    etat_rs232.bit.b12

void Init_rs232();
void Stop_rs232();
int TraiteRecept(char *type_r,char *comm,char *p_comm);
void E_Missive(char *texte);
E_Trame LitEtat_Trame();
void RazErreur();

int strprintf(char *str,char *format,...);



#endif