

#include "structures_donnees.h"
#include "Cpu_Reg.h"
#include "proslic.h"
#include "etd500.h"

#define eqip 1

chipStruct chip[4]; // structure chip

main()
{
BYTE i,j,i1,k,l;
WORD valeur;
int compteur,tempo;
unsigned int r_irq;
ETD500_GE0=0;
ETD500_GE1=1;
ETD500_GE2=2;
ETD500_GE3=3;
//V_CODEC=0x0F;
InitSpi();		// initialisation bus SPI
init_bt();		// initialisation base de temps
init_rcx();		// initialisation du rcx

// RESET des SLICs
V_CODEC=0x40;
printf("Reset ETD500\n");
sleep(2000);
V_CODEC=0x0F;

InitDaisy();	// active de mode daisy chaine
printf("init indirect...\n");
initializeIndirectRegisters(eqip);	// intialise le proslic 2
InitChipStruct(eqip);
init_slic(eqip);
i=LitDirect(eqip,13);
i>>=4;
printf("reg(13)=%x\n",i);	
disableOscillateur(eqip);
i=LitDirect(eqip,72);
printf("(72)=%x\n",i);
StandardRing(eqip);		// active la sonnerie sur quipement 2
Ring(eqip,1);
ETD500_SE=0xFD;
for(compteur=0;compteur<=25;compteur++)	// boucle pendant 25 s
	{
	i1=LitDirect(eqip,34);
	i=LitDirect(eqip,64);
	j=LitDirect(eqip,68);
	r_irq=LitIrq(eqip);
	printf("irq=%lx ,(34)=%x ,",r_irq,i1);
	printf("(64)=%x, (68)=%x\n",i,j);
	for(i=78;i<=89;i++)
		{
		j=LitDirect(eqip,i);
		printf("(%d)=%x ,",i,j);
		}
	printf("\n");
	sleep(1000);
	}
ETD500_SE=0xFF;
Ring(eqip,0); // Stop la sonnerie
}