#ifndef __EDT500_H
#define __ETD500_H

#define ETD500	0xB30000

#define ETD500_Version 	(*(BYTE*)	 	   	(ETD500+0x00))
#define ETD500_SE		(*(BYTE*)	 		(ETD500+0x01))	
#define ETD500_IRQ	(*(BYTE*)			(ETD500+0x02))

/* gestion des quipements */
#define ETD500_GE0 (*(BYTE*)  (ETD500+0x40))
#define ETD500_GE1 (*(BYTE*)	(ETD500+0x41))
#define ETD500_GE2 (*(BYTE*)	(ETD500+0x42))
#define ETD500_GE3 (*(BYTE*)	(ETD500+0x43))
#define ETD500_GE4 (*(BYTE*)	(ETD500+0x44))
#define ETD500_GE5 (*(BYTE*)	(ETD500+0x45))
#define V_CODEC    (*(BYTE*)	(ETD500+0x47))

/* gestion de la MCM */

#define ETD500_status (*(BYTE *)	(ETD500+0x80))
#define ETD500_ctrl   (*(BYTE *)	(ETD500+0x80))
#define ETD500_A_MCM  (*(BYTE *)	(ETD500+0x82))
#define ETD500_D_MCM  (*(BYTE *)	(ETD500+0x83))

#define ETD500_VT (*(BYTE *) 		(ETD500+0x84))
#define ETD500_TX	(*(BYTE *)		(ETD500+0x85))
#define ETD500_RX (*(BYTE *)		(ETD500+0x86))

#define ETD500_INTER (*(BYTE *)	(ETD500+0x48))

union MCM{
	struct{
	char etat:3;
	char valeur:5;
	} s_mcm;
	char valeur;
};
	

typedef struct{
union MCM mcm[32];
int num_autocom;
//enum (MANUEL,AUTO} mode;
} Rcx;

int InitRcx(char *);
int EcritMcm(char *);
int LitMcm(char *);
char RechercheMcm();
void SetEtatMcm(char adr,char etat);
void Affiche_Mcm();

#endif