
#include "Cpu_reg.h"
#include "EID210_reg.h"
#include "Structures_donnees.h"
#include "rs232.h"

#include "s_com.h"
#include "etd500.h"
#include <stdio.h>
#include <string.h>

extern char run;

int InitSlic(char *param);

int Quitter(char *param)
{
run=0;
printf("quitter\n");
return 1;
}

int Init(char *param)
{
//printf("INIT\n");
return 1;
}

int Version(char *param)
{
E_Missive("MACA ETD500 v1.0");
return 1;
}

Action tab_missive[]={
{"EMCM",EcritMcm},
{"INIT",Init},
{"IMcm",InitRcx},
{"ISLIC",InitSlic},
{"MQP",Quitter},
};

Action tab_requete[]=
{
{"MACA",Version},
{"LMCM",LitMcm},
};

int TraiteMissive(char *com,char *param)
{
int i,traiter=0;
int nb_missive=sizeof(tab_missive)/sizeof(Action);
for(i=0;i<nb_missive;i++)
	{
	//printf("i=%d %s\n",i,tab_missive[i].str);
	if (0==strcmp(com,tab_missive[i].str))
		{
		traiter=tab_missive[i].p_function(param);
		break;
		}
	}
if (traiter==1)
	E_Missive("OK");
	else
	E_Missive("E03");
com[0]=0;	
return traiter;
}

int TraiteRequete(char *com,char *param)
{
int i,traiter=0;
int nb_requete=sizeof(tab_requete)/sizeof(Action);
for(i=0;i<nb_requete;i++)
	{
	//printf("i=%d %s\n",i,tab_requete[i].str);
	if (0==strcmp(com,tab_requete[i].str))
		{
		traiter=tab_requete[i].p_function(param);
		break;
		}
	}
if (traiter==0)
	E_Missive("E04");
com[0]=0;
return traiter;
}